SessionCreatedOut
201 body of POST /v1/sessions: the new session, plus the task_id of the
first turn when a first message was sent, and where its events begin.
objectObject
Constant value:
sessionDefault value:
sessionidIdrequired
typeTyperequired
Possible values: [text, realtime]
statusStatusrequired
Possible values: [created, queued, running, completed, failed, stopped, timeout]
output_formatOutput Formatrequired
brief_statusBrief Status
Possible values: [none, running, completed]
Default value:
nonecreated_atstring<date-time>required
ended_atstring<date-time>nullable
capabilitiesstring[]
The capabilities the assistant may use in this session, fixed when it was created.
Possible values: [search, deep_research, understanding, image_generation, video_generation, music_generation, documents]
task_idTask Idnullable
last_event_idLast Event Id
Where this task's frames begin on the session's event stream: open GET /v1/sessions/{session_id}/events with Last-Event-ID set to it to receive the task from its first frame. 0 means from the session's start.
Default value:
0SessionCreatedOut
{
"object": "session",
"id": "string",
"type": "text",
"status": "created",
"output_format": "string",
"brief_status": "none",
"created_at": "2024-07-29T15:51:28.071Z",
"ended_at": "2024-07-29T15:51:28.071Z",
"capabilities": [
"search"
],
"task_id": "string",
"last_event_id": "0"
}